| ufspsxc Vitis Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List

- Data Structures
- Data Fields

Public Member Functions | Data Fields
__attribute__ Struct Reference
Overview

Command UPIU Structure. More...

## Public Member Functions
XUfsPsxc_Xfer_RespUpiu RespUpiu | __attribute__ ((aligned(8)))
| Transfer Response UPIU. More...
XUfsPsxc_Xfer_Prdt Prdt[XUFSPSXC_PRDT_ENTRIES] | __attribute__ ((aligned(8)))
| PRDT - Number of entries restricted to 1 for ROM/PLM use case. More...

## Data Fields
u16 | DataSegmentLen
| Big Endian format. More...
u16 | Length
| Big Endian format. More...
u32 | Value
| Big Endian format. More...
u32 | ResidualTransCnt
| Big Endian format. More...
u16 | SenseDataLen
| Big Endian format. More...
XUfsPsxc_Xfer_ReqUpiu | ReqUpiu
| Transfer Request UPIU. More...
u32 | DW0_Config
| [7:0]-CCI, [23]-CE, [24]-I, [26:25]-DD, [31:28]-CT More...
u32 | DW1_Dunl
| Data Unit Number Lower 32 bits. More...
u32 | DW2_Ocs
| [7:0]-Overall Command Status More...
u32 | DW3_Dunu
| Data Unit Number Upper 32 bits. More...
u32 | DW4_UTPCmdDesc_BaseAddressLow
| [31:7]-UTP Command Descriptor BaseAddress More...
u32 | DW5_UTPCmdDesc_BaseAddressUpp
| [31:0]-UTP Command Descriptor BaseAddress Upper 32-bits More...
u32 | DW6_RespUpiuInfo
| [31:16]-Resp UPIU Offset, [15:0]-Resp UPIU Length More...
u32 | DW7_PrdtInfo
| [31:16]-PRDT Offset, [15:0]-PRDT Length More...

## Detailed Description

Command UPIU Structure.

UTP Transfer request Descriptor Structure - 1KB aligned.

UTP Command request Descriptor Structure - 128-byte aligned.

Physical Region Descriptor Table - 8-byte aligned.

UTP Transfer Response Descriptor Structure - 8-byte aligned.

Response UPIU Structure.

UTP Transfer Request Descriptor Structure.

NOP IN/OUT UPIU Structure.

Query UPIU Structure.

Transaction Specific Fields Structure.

## Constructor & Destructor Documentation

XUfsPsxc_Xfer_RespUpiu RespUpiu __attribute__::__attribute__ | ( | (aligned(8)) |  | ) |

Transfer Response UPIU.

XUfsPsxc_Xfer_Prdt Prdt [XUFSPSXC_PRDT_ENTRIES] __attribute__::__attribute__ | ( | (aligned(8)) |  | ) |

PRDT - Number of entries restricted to 1 for ROM/PLM use case.

## Field Documentation

u16 __attribute__::DataSegmentLen

Big Endian format.

u32 __attribute__::DW0_Config

[7:0]-CCI, [23]-CE, [24]-I, [26:25]-DD, [31:28]-CT

u32 __attribute__::DW1_Dunl

Data Unit Number Lower 32 bits.

u32 __attribute__::DW2_Ocs

[7:0]-Overall Command Status

u32 __attribute__::DW3_Dunu

Data Unit Number Upper 32 bits.

u32 __attribute__::DW4_UTPCmdDesc_BaseAddressLow

[31:7]-UTP Command Descriptor BaseAddress

u32 __attribute__::DW5_UTPCmdDesc_BaseAddressUpp

[31:0]-UTP Command Descriptor BaseAddress Upper 32-bits

u32 __attribute__::DW6_RespUpiuInfo

[31:16]-Resp UPIU Offset, [15:0]-Resp UPIU Length

u32 __attribute__::DW7_PrdtInfo

[31:16]-PRDT Offset, [15:0]-PRDT Length

u16 __attribute__::Length

Big Endian format.

XUfsPsxc_Xfer_ReqUpiu __attribute__::ReqUpiu

Transfer Request UPIU.

u32 __attribute__::ResidualTransCnt

Big Endian format.

u16 __attribute__::SenseDataLen

Big Endian format.

u32 __attribute__::Value

Big Endian format.